Mikolaj Zalewski : move the example config file to config-example. Add config to gitignore

Alexandre Julliard julliard at winehq.org
Fri Jun 19 08:36:16 CDT 2009


Module: tools
Branch: master
Commit: f2a87e5e2eced7b66d4824ee112a559dc36fd487
URL:    http://source.winehq.org/git/tools.git/?a=commit;h=f2a87e5e2eced7b66d4824ee112a559dc36fd487

Author: Mikolaj Zalewski <mikolajz at tygrys.dom>
Date:   Tue Feb 12 22:03:39 2008 +0100

move the example config file to config-example. Add config to gitignore

---

 .gitignore                         |    1 +
 scripts/Master.sh                  |    5 +++++
 scripts/{config => config-example} |    2 +-
 3 files changed, 7 insertions(+), 1 deletions(-)

diff --git a/.gitignore b/.gitignore
index 8b8ad77..8485d8d 100644
--- a/.gitignore
+++ b/.gitignore
@@ -1,4 +1,5 @@
 /work/*
+/scripts/config
 /scripts/local-posthook.sh
 /php/conf
 /php/dumps
diff --git a/scripts/Master.sh b/scripts/Master.sh
index 01d97c6..dace16c 100755
--- a/scripts/Master.sh
+++ b/scripts/Master.sh
@@ -2,6 +2,11 @@
 
 # Main script - change 'config' to setup input/output directories
 
+if [ ! -f ./config ]; then
+    echo "Config file not found in current directory. Copy config-example to config and edit the configuration"
+    exit 1
+fi
+
 . ./config
 
 function die {
diff --git a/scripts/config b/scripts/config-example
similarity index 97%
rename from scripts/config
rename to scripts/config-example
index e06f874..b8068dd 100644
--- a/scripts/config
+++ b/scripts/config-example
@@ -17,4 +17,4 @@ WORKDIR=../work
 # making the script work even for a just downloaded tree with only ./configure
 # executed in it. If you are running the script on trees that are already fully
 # built you may set this to '0' to save time.
-PREPARE_TREES=1
\ No newline at end of file
+PREPARE_TREES=1




More information about the wine-cvs mailing list